Support » Plugin: Easy FancyBox » jquery.fancybox-1.3.7.min.js?ver=1.5.7 two times

Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Author RavanH

    (@ravanh)

    Hi drbrahm, I see only one call for jquery.fancybox-1.3.7.min.js in your source code. There is also jquery.fancybox-1.3.7.min.css but that is a stylesheet, not a script file…

    The plugin seems to me to be working correctly. Or are you having issues?

    drbrahm

    (@drbrahm)

    Hi RavanH

    your are right. It was 2 css calls instead of javascript ones.

    In meantime the fancybox is not working in my site. In the past It was working fine. I have just been updating WP and other plugins. Today I noticed when I click over an image it goes to file location instead of opening a fancybox window.

    I have tested with firefox and chrome.

    Plugin Author RavanH

    (@ravanh)

    Like I said after checking your site in Chrome: “The plugin seems to me to be working correctly.”

    But in Firefox it does indeed not seem to function. In the Opera browser it works correctly again. Strange.

    Plugin Author RavanH

    (@ravanh)

    I do see some errors popping up in the Firefox browser toolbox Console:

    Error: Permission denied to access property 'toString'
    TypeError: ifr_source is undefined scripts.js:20

    which do not show in other browsers.

    It is coming from the themes scripts.js file. Although the error is unrelated to fancybox, I wonder if this is blocking the fancybox from working properly…

    Could you test by opening the themes scripts.js file in the WordPress theme editor and remove (temporarily) this part:

    jQuery("iframe").each(function(){
    var ifr_source = jQuery(this).attr('src');
    var wmode = "wmode=transparent";
    if(ifr_source.indexOf('?') != -1) jQuery(this).attr('src',ifr_source+'&'+wmode);
    else jQuery(this).attr('src',ifr_source+'?'+wmode);
    });

    drbrahm

    (@drbrahm)

    Gotcha! It solved my problem..

    thank you.

    Plugin Author RavanH

    (@ravanh)

    That’s great to hear 🙂

    The code snippet that you removed is there to add a wmode parameter to embedded iframe content. Most likely meant for the Youtube and such… I do not thing it is really needed anymore since the new (HTML5) players have arrived.

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘jquery.fancybox-1.3.7.min.js?ver=1.5.7 two times’ is closed to new replies.